Skip to main content
POST
/
v1
/
video
/
generations
创建视频生成任务
curl --request POST \
  --url https://www.anyfast.com.cn/v1/video/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "doubao-seedance-1-0-lite-i2v-250428",
  "content": [
    {
      "type": "text",
      "text": "<string>"
    }
  ],
  "ratio": "16:9",
  "resolution": "720p",
  "duration": 5,
  "watermark": false,
  "seed": 123,
  "camera_fixed": false
}
'
{
  "id": "gen-abc123",
  "model": "doubao-seedance-1-0-lite-i2v-250428",
  "status": "processing",
  "created_at": 1773130665
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

模型 ID

Available options:
doubao-seedance-1-0-lite-i2v-250428
Example:

"doubao-seedance-1-0-lite-i2v-250428"

content
object[]
required

多模态内容数组。必须包含 text 项。图生视频时添加带 role 的 image_url 项。

Minimum array length: 1

文本提示词

ratio
enum<string>
default:16:9

画面比例。adaptive 支持情况因模型而异。

Available options:
16:9,
4:3,
1:1,
3:4,
9:16,
21:9,
adaptive
Example:

"16:9"

resolution
enum<string>
default:720p

输出分辨率。

Available options:
480p,
720p,
1080p
Example:

"720p"

duration
integer
default:5

视频时长(秒),2-12 秒。

Required range: 2 <= x <= 12
Example:

5

watermark
boolean
default:false

是否添加水印。

seed
integer

随机种子,用于复现结果。

camera_fixed
boolean
default:false

是否固定摄像头。

Response

任务已创建

id
string
Example:

"gen-abc123"

model
string
Example:

"doubao-seedance-1-0-lite-i2v-250428"

status
string
Example:

"processing"

created_at
integer
Example:

1773130665